%define anolis_release 1
Name:           autoconf-archive
Version:        2023.02.20
Release: %{anolis_release}%{dist}
Summary:        The Autoconf Macro Archive
License:        GPLv3+ with exceptions
URL:            https://www.gnu.org/software/autoconf-archive/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Source1:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz.sig
BuildArch:      noarch
BuildRequires:  gnupg2
BuildRequires:  make, texinfo
Requires:       autoconf

%description
The GNU Autoconf Archive is a collection of more than 450 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
# remove dir file which will be generated by /sbin/install-info
rm -frv %{buildroot}%{_infodir}/dir
# document files are installed another location
rm -frv %{buildroot}%{_datadir}/doc/%{name}

%generate_compatibility_deps

%files
%license COPYING*
%{_datadir}/aclocal/*.m4
%{_infodir}/autoconf-archive.info*

%files doc
%doc AUTHORS NEWS README TODO INSTALL ChangeLog

%changelog
* Wed Mar 22 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2023.02.20-1
- Init package from upstream
